Qt 5.6 | Qt 3D | C++ Classes | QAxisInput

Qt 5.6.3 Reference Documentation

# QAxisInput Class

(Qt3DInput::QAxisInput)

Header: | #include <QAxisInput>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | AxisInput
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- axis : int
- keys : QVariantList
- scale : float
- sourceDevice : Qt3DInput::QAbstractPhysicalDevice *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAxisInput(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAxisInput()
int | axis() const
QVariantList | keys() const
float | scale() const
QAbstractPhysicalDevice * | sourceDevice() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAxis(int axis)
void | setKeys(const QVariantList &keys)
void | setScale(float scale)
void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | axisChanged(int axis)
void | keysChanged(const QVariantList &keys)
void | scaleChanged(float scale)
void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### axis : int

Access functions:

int | axis() const
void | setAxis(int axis)

Notifier signal:

void | axisChanged(int axis)

### keys : QVariantList

Access functions:

QVariantList | keys() const
void | setKeys(const QVariantList &keys)

Notifier signal:

void | keysChanged(const QVariantList &keys)

### scale : float

Access functions:

float | scale() const
void | setScale(float scale)

Notifier signal:

void | scaleChanged(float scale)

### sourceDevice : Qt3DInput::QAbstractPhysicalDevice *

Access functions:

QAbstractPhysicalDevice * | sourceDevice() const
void | setSourceDevice(QAbstractPhysicalDevice *sourceDevice)

Notifier signal:

void | sourceDeviceChanged(QAbstractPhysicalDevice *sourceDevice)

## Member Function Documentation

### QAxisInput::QAxisInput(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAxisInput.

### QAxisInput::~QAxisInput()

Destroys the instance of QAxisInput.

### `[protected]` void QAxisInput::copy(const Qt3DCore::QNode *ref)